Bug 74864 - ugly trace back message
ugly trace back message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-02 08:40 EDT by adler
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-08 05:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description adler 2002-10-02 08:40:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
for the second time in 2 days, (i.e. about once a day), the rhn-applet generates
an exception.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Install redhat 8.0
2.Wait about a day
3.
	

Actual Results:  what follows is the excpetion

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 424, in refresh
    self.model.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 264, in refresh
    self.__rpc_server__.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_rpc.py", line 84, in refresh
    status = server.applet.poll_status()
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/xmlrpclib.py", line
821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 118, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 602, in send_http
    headers=self.headers)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
537, in request
    self._send_request(method, url, body, headers)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
553, in _send_request
    self.putrequest(method, url)
  File "/usr/lib/python2.2/site-packages/rhn/connections.py", line 217, in
putrequest
    return HTTPConnection.putrequest(self, method, url, skip_host=skip_host)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
453, in putrequest
    self.send(str)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
407, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 185, in write
    sent = self._connection.send(data)
Error: [('SSL routines', 'SSL23_WRITE', 'ssl handshake failure')]


Additional info:

This is more of an annoyiance. After I click on the OK button in the window
which displays the trace back, rhn-applet goes back to working again.
Comment 1 Josiah Royse 2002-10-03 15:52:24 EDT
I almost have the same thing except for the last line.  This happened when I
clicked on the applet (during the question mark status)
------------------------
Exception type SSL.SysCallError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 424, in refresh
    self.model.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 264, in refresh
    self.__rpc_server__.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_rpc.py", line 84, in refresh
    status = server.applet.poll_status()
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/xmlrpclib.py", line
821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 118, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 602, in send_http
    headers=self.headers)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
537, in request
    self._send_request(method, url, body, headers)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
553, in _send_request
    self.putrequest(method, url)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
453, in putrequest
    self.send(str)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
407, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 185, in write
    sent = self._connection.send(data)
SysCallError: (104, 'Connection reset by peer')
Comment 2 Daniel Veillard 2003-04-08 05:37:35 EDT
The current version in Red hat 9 will retry on networking errors
and indicate with a new flag is the applet could not connect to
the RHN server. As soon as the connection is put back in place it
will resume the monitoring,

Daniel

Note You need to log in before you can comment on or make changes to this bug.